VNC broke when upgraded to RH 5.2

Tim Riker TimR "at" WordCruncher.com
Wed, 09 Dec 1998 19:54:46 +0000


What error do you get now?  Are you sure you used the right ' and " on
the line? I use the rpm version:

[timr "at" ns timr]$ rpm -q vnc
vnc-3.3.2r2-1

Ted Sudtell wrote:
> 
> Thanks Tim, That does not work for me, maybe my version is too old (only
> three months) I will look for another.  I have to assume were talking
> about 'vncserver' file?  My line num is 518.
> 
> Ted
> 
> Tim Riker wrote:
> >
> > change:
> >
> > eval 'require "sys/socket.ph"';
> >
> > to
> >
> > use Socket;
> >
> > It is line 517 in my version.
> >
> > Ted Sudtell wrote:
> > >
> > > I see a few messages about problems with vnc on 5.2, one was change eval
> > > to use sockets.  I did not see that anywhere in my vncserver file.  I
> > > did find one eval in the script and changed it to use, just got an "if"
> > > error the line above it.  Below is the exact error I get when I start
> > > the server. Can you tell from the above I am not a programer?
> > > Thanks for any input...
> > >
> > > ./vncserver
> > > Prototype mismatch: sub main::__need_size_t vs () at (eval 44) line 1.
> > > String found where operator expected at (eval 148) line 1, near
> > > "&__const
> > > 'struct sockaddr'"
> > >         (Missing operator before  'struct sockaddr'?)
> > >
> > > ts
> > >
> > > ---------------------------------------------------------------------
> > > The VNC mailing list     -   see http://www.orl.co.uk/vnc/intouch.html
> > > ---------------------------------------------------------------------
> >
> > --
> > Tim Riker - http://riker.dsl.inconnect.com/ - short SIGs! <g>

-- 
Tim Riker - http://riker.dsl.inconnect.com/ - short SIGs! <g>


---------------------------------------------------------------------
The VNC mailing list     -   see http://www.orl.co.uk/vnc/intouch.html
---------------------------------------------------------------------